cURL
curl --request GET \
--url https://api.eka.care/abdm/v1/request \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eka.care/abdm/v1/request"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eka.care/abdm/v1/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_mode": "view",
"created_at": "2023-11-07T05:31:56Z",
"duration": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"erase_at": "2023-11-07T05:31:56Z",
"hi_types": [
{
"display": "<string>",
"enabled": true,
"id": "OPConsultation"
}
],
"hiu": {
"id": "INXXXXX",
"name": "Apollo Hospital"
},
"id": "<string>",
"providers": [
{
"care_contexts": [
{
"display": "<string>",
"id": "<string>"
}
],
"consent_artefact_id": "<string>",
"hip": {
"id": "INXXXXX",
"name": "Apollo Hospital"
}
}
],
"purpose": {
"code": "<string>",
"text": "<string>"
},
"requester": {
"name": "Dr John"
},
"status": "requested",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}Patient Requests
Requests get details
GET
/
abdm
/
v1
/
request
cURL
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Query Parameters
Consent/Subscription ID
Request type
Available options:
consent, subscription Status of the request
Available options:
requested, granted, expired, denied, revoked OID is used to Identify the user.
Response
OK
Available options:
view Show child attributes
Show child attributes
List of HI Types
Show child attributes
Show child attributes
HIU details
Show child attributes
Show child attributes
List of Providers/Failities details
Show child attributes
Show child attributes
Purpose of the request
Show child attributes
Show child attributes
Requester details
Show child attributes
Show child attributes
Available options:
requested, granted, expired, denied, revoked Was this page helpful?
⌘I

